# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Smoke tests for the sub commands."""

import unittest

from lpsetup.cli import (
    main,
    subcommands,
    )


class SmokeTest(unittest.TestCase):
    """Tests which are intended to do a quick check for broken subcommands."""

    def test_subcommand_smoke_via_help(self):
        # Perform a basic smoke test by running each subcommand's --help
        # function and verify that a non-error exit code is returned.
        for subcommand, callable in subcommands:
            self.assertEqual(main([subcommand, '--help']), 0)
